Bug 1022173 - xom: remove versioned jars from %{_javadir}
xom: remove versioned jars from %{_javadir}
Product: Fedora
Classification: Fedora
Component: xom (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
Depends On:
Blocks: 1022024 1049909
  Show dependency treegraph
Reported: 2013-10-22 11:55 EDT by Stanislav Ochotnicky
Modified: 2014-06-02 19:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-23 02:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:55:12 EDT
Package xom seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars

There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Mikolaj Izdebski 2014-01-23 02:43:30 EST
Fixed in xom-1.0-15
Comment 2 Mikolaj Izdebski 2014-01-23 02:49:40 EST
I believe that this bug is fixed in xom-1.0-15,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:

Note You need to log in before you can comment on or make changes to this bug.